Comercios
Listar comercios
GET /v1/merchants
Este endpoint permite obtener los comercios asociados a un cliente. Disponible con credenciales CUSTOMER y MERCHANT: con credenciales MERCHANT la respuesta incluye solo el comercio propio.
| Parámetros | Descripción |
|---|---|
page
|
|
size
|
|
id
|
|
status
|
|
country
|
|
createDate
|
|
hint
|
|
pendingStep
|
|
ℹ️
- Los nombres de los parámetros de consulta van en camelCase.
- Si no se envía ni
pagenisize, la respuesta devuelve todos los comercios que coinciden, sin paginar y ordenados por nombre de fantasía. - Los campos sin valor se omiten de cada comercio (
business_name,fantasy_name,representative,address.floor,address.apartment,address.neighborhood,address.location,additional_info,pending_steps,update_dateydelete_date). financial_infocontiene la condición impositiva y la cuenta bancaria del comercio: CBU o CVU (ARG) o CLABE (MEX) enaccount_info.cbu_or_cvu. Siempre está presente: esnullcuando el comercio no tiene datos impositivos cargados.tax_condition,account_infoyaccount_typetambién pueden sernull.- Cada comercio incluye
_links.self; la respuesta también incluye enlaces a nivel de página.
curl --request GET \
--url https://api.menta.global/api/v1/merchants \
--header 'Authorization: Bearer {access_token}' \
--url-query 'page=integer' \
--url-query 'size=integer' {
"_embedded": {
"merchants": [
{
"id": "string",
"customer_id": "string",
"country": "string",
"status": "string",
"legal_type": "string",
"business_name": "string",
"fantasy_name": "string",
"representative": {
"type": "string",
"representative_id": {
"type": "string",
"number": "string"
},
"birth_date": "2019-08-24T14:15:22Z",
"name": "string",
"surname": "string"
},
"merchant_code": "string",
"address": {
"state": "string",
"city": "string",
"zip": "string",
"street": "string",
"number": "string",
"floor": "string",
"apartment": "string",
"neighborhood": "string",
"location": {
"lat": -34.603722,
"lng": -58.381592
}
},
"email": "string",
"phone": "string",
"activity": "string",
"category": "string",
"tax": {
"id": "string",
"type": "string"
},
"additional_info": "string",
"pending_steps": ["string"],
"create_date": "2019-08-24T14:15:22Z",
"update_date": "2019-08-24T14:15:22Z",
"delete_date": "2019-08-24T14:15:22Z",
"_links": {
"self": {
"href": "string"
}
},
"financial_info": {
"tax_condition": "string",
"account_info": {
"cbu_or_cvu": "string",
"account_type": {
"code": "string",
"type": "string"
}
}
}
}
]
},
"page": {
"size": 0,
"total_elements": 0,
"total_pages": 0,
"number": 0
}
}